Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.cluster
Class Record

    java.lang.Object
      cc.mallet.cluster.Record

All Implemented Interfaces:
  java.io.Serializable

    public class Record

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Record(Alphabet fieldAlph, Alphabet valueAlph)`
`Record(Alphabet fieldAlph, Alphabet valueAlph, java.lang.String[][] vals)`

Method Summary
`Alphabet` | `fieldAlphabet()`
`int[]` | `fields()`
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(boolean oneLine)`
`int` | `value(int field)`
`int` | `value(java.lang.String field)`
`Alphabet` | `valueAlphabet()`
`FeatureVector` | `values(int field)`
`FeatureVector` | `values(java.lang.String field)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Record

    public Record(Alphabet fieldAlph,
                  Alphabet valueAlph)

### Record

    public Record(Alphabet fieldAlph,
                  Alphabet valueAlph,
                  java.lang.String[][] vals)

Method Detail

### values

    public FeatureVector values(java.lang.String field)

### values

    public FeatureVector values(int field)

### value

    public int value(java.lang.String field)

### value

    public int value(int field)

### fields

    public int[] fields()

### fieldAlphabet

    public Alphabet fieldAlphabet()

### valueAlphabet

    public Alphabet valueAlphabet()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(boolean oneLine)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD